#
# Conditional build:
%bcond_without	apidocs	# API documentation
%bcond_without	openmp	# OpenMP support
#
Summary:	A fast math parser library
Summary(pl.UTF-8):	Biblioteka szybkiego analizatora matematycznego
Name:		muparser
Version:	2.3.5
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/beltoforion/muparser/releases
Source0:	https://github.com/beltoforion/muparser/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	04d4224cb01712207b85af05a255b6fc
URL:		https://github.com/beltoforion/muparser
BuildRequires:	cmake >= 3.15.0
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Many applications require the parsing of mathematical expressions. The
main objective of this project is to provide a fast and easy way of
doing this. muParser is an extensible high performance math parser
library. It is based on transforming an expression into a bytecode and
precalculating constant parts of it.

%description -l pl.UTF-8
Wiele aplikacji wymaga analizowania wyrażeń matematycznych. Głównym
celem tego projektu jest zapewnienie szybkiego i wygodnego sposobu
wykonywania tego zadania. muParser to bardzo wydajna, rozszerzalna
biblioteka analizatora matematycznego. Opiera się na przekształcaniu
wyrażenia na bajtkod oraz wstępnym obliczaniu jego stałych części.

%package devel
Summary:	Development and doc files for muParser library
Summary(pl.UTF-8):	Pliki programistyczne i dokumentacja do biblioteki muParser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Development and doc files for muParser library.

%description devel -l pl.UTF-8
Pliki programistyczne i dokumentacja do biblioteki muParser.

%package apidocs
Summary:	API documentation for muParser library
Summary(pl.UTF-8):	Dokumentacja API biblioteki muParser
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for muParser library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki muParser.

%prep
%setup -q

# html/misc/footer.html not present (even in git)
%{__sed} -i -e '/^HTML_FOOTER .*/s/.*/HTML_FOOTER = /' docs/Doxyfile

%build
%cmake -B build \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	%{!?with_openmp:-DENABLE_OPENMP=OFF} \
	-DENABLE_SAMPLES=OFF

%{__make} -C build

%if %{with apidocs}
cd docs
doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE README.md docs/muparser_doc.html
%attr(755,root,root) %{_libdir}/libmuparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmuparser.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmuparser.so
%{_includedir}/muParser*.h
%{_pkgconfigdir}/muparser.pc
%{_libdir}/cmake/muparser

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/html/classdocu/{d?,search,*.css,*.html,*.jpg,*.js,*.png}
%endif
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/muparser.git;a=log;h=master

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> 8657952
- updated to 2.3.5

* Sat Apr 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 93f6e73
- updated to 2.3.4 (includes security fixes); license is 2-clause BSD; fixed dirs in .pc file

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 611651b
- unconditional noarch subpackages

* Mon Nov 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 09e64e1
- new URL, updated to 2.3.2

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> d52187f
- noarch apidocs

* Sun Oct 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 8eae815
- restored HTML docs (in -apidocs package)

* Sun Oct 16 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 53e2a59
- updated to 2.2.5
- changed url
- commented doc line

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> ab37591
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 5454504
- updated to 2.2.3

* Sun Jan 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 7c3beef
- updated to 2.2.0 (note: new soname)

* Sun Jan 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 24b76bc
- pl, unified

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 60cf7ec
- don't mess with _smp_mflags

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 20b2192
- 1.30

* Mon Oct 05 2009 Paweł Gołaszewski <blues@pld-linux.org> 67935af
- move into proper dir

